/* Join/Host Section */

#game{
    height:100%;
}

#game:after{
    content: "";
    background-image: url("/images/background.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    opacity: 0.1;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    position: absolute;
    z-index: -1;
}

.h-j-col{
    border-top: 4px dashed #e76e55;
    border-bottom: 4px dashed #209cee;
}

#host-join-col{
    width: 35%;
    margin: auto auto;
}

#host-button, #join-button{
    width: 47%;
    margin: 0 5px;
    margin-bottom: 5px;
}

::-webkit-scrollbar {
    width: 0px;
    background: transparent;
}

#middleLogo{
    padding: 15px 0;
    margin-top: -15px;
    margin-bottom: 15px;
    border-bottom: 3px dashed #000;
}

.player-info-section p b{
    font-size: 20px;
    margin: auto;
}

.player-info-top{
    text-align: center;
}

.ready-player{
    box-shadow:0px 0px 30px #92cc41;
}

#left-player-decks{
    padding: 0;
}

.lobbyDeck{
    height: 85px;
    font-size: 13px;
    padding: 5px 13px;
    border-bottom: 2px dashed #007bff;
}

.lobbyDeckName{
    height: 30px;
    width: 100% !important;
    text-align: center;
    padding: 5px;
}

.playerDeck{
    outline: 2px solid #007bff !important;
}

.playerDeck, .inactiveDeck{
    margin: 10px 0 !important;
}

.playerDeck:hover{
    outline: 3px solid #007bff !important;
    background-color: #c2dfff;
    cursor: pointer;
}

.selectedDeck{
    background-color: #a3d0ff !important;
}

.inactiveDeck{
    outline: 1px dashed #007bff !important;
}

.lobbyCard{
    padding: 0 0 !important; 
    text-align: center;
    color: white;
    font-size: 15px;
    border-radius: 10%;
    margin: 0 2px;

    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;  
}

.opponent-stats{
    height: 660px;
}

#chatList{
    height: 265px;
    overflow-y: auto;
    overflow-x: hidden;
    vertical-align: bottom;
    padding: 0;
    margin: 0;
    border: 3px dotted #000;
    border-bottom: none;
}

#chatList li{
    width: 100%;
    overflow-wrap: break-word;
    padding: 5px;
    border-bottom: 2px dashed #000;
}

#chatList li.left{
    text-align: left;
    color: #209cee;
}

#chatList li.right{
    text-align: right;
    color: #e76e55;
}

#leftSection #chatList{
    height: 163px !important;
}

#rulesSection, #scoreSection{
    height: 130px !important;
    padding-bottom: 20px;
    border-bottom: 4px dashed #000;
}

#progressBar{
    width: 100%;
}

#player-score-row, #opponent-score-row{
    height: 30px;
}

.ingame-logo {
    text-align: center;
    margin-top: 35px;
}

    .ingame-logo img {
        width: 600px;
    }

.game-board-row{
    height:210px;
}

#left-player .player-pic-small{
    border: 2px dotted #209cee;
}

#right-player .player-pic-small{
    border: 2px dotted #e76e55;
}

#leftSection.player-turn{
    box-shadow:0px 0px 30px #209cee !important;
    background-color:rgba(32,156,238, 0.15) !important;
}

#rightSection.player-turn{
    box-shadow:0px 0px 30px #e76e55 !important;
    background-color: rgb(231,110,85, 0.15) !important;
}

#leftSection, #rightSection{
    text-align: center;
    padding: 0 24px;
}

#concede-button{
    margin-top: 100px;
    width: 300px;
    height: 70px;
    font-size: 20px;
}

.concede-screen img{
    display:block;
    margin: auto;
}

.concede-screen .row{
    border-top: 3px dashed #000;
    height: 90px;
}

.concede-screen button{
    margin: auto;
    width: 200px;
}

.game-board{
    margin-top: 23px;
    padding: 45px 0;
    border-top: 4px dashed #000;
    border-bottom: 4px dashed #000;
}

.game-board .gameCell{
    text-align: center !important;
    position:relative;
}

.game-board .gameCell .cell-element{
    width: 40px;
    position: absolute;
    left: 5%;
    top: 5%;
    -webkit-animation-name: spinner; 
    -webkit-animation-timing-function: linear; 
    -webkit-animation-iteration-count: infinite; 
    -webkit-animation-duration: 2s; 
    animation-name: spinner; 
    animation-timing-function: linear; 
    animation-iteration-count: infinite; 
    animation-duration: 2s; 
    -webkit-transform-style: preserve-3d; 
    -moz-transform-style: preserve-3d; 
    -ms-transform-style: preserve-3d; 
    transform-style: preserve-3d;
}

.game-board .gameCell .gCard{
    margin: auto !important;
    margin-top: 20% !important;
}

.game-board .gameCell.is-hovered{
    background-color: rgba(0,123,255,0.15) !important;
}

.game-board .gameCell span{
    position:absolute;
}

.game-board #cell-0{ 
    background: radial-gradient(100% 100% at 50% 50%, rgba(243,213,182,0) 45%, #656565 100%) no-repeat 50% 50% / 100% 100%;
    
}
.game-board #cell-1{
    background: radial-gradient(100% 100% at 50% 50%, rgba(243,213,182,0) 45%, #656565 100%) no-repeat 50% 50% / 100% 100%;
    border: 2px dashed #000; 
    border-bottom: none;
    border-top: none;
}
.game-board #cell-2{ 
    background: radial-gradient(100% 100% at 50% 50%, rgba(243,213,182,0) 45%, #656565 100%) no-repeat 50% 50% / 100% 100%;
}
.game-board #cell-3{
    background: radial-gradient(100% 100% at 50% 50%, rgba(243,213,182,0) 45%, #656565 100%) no-repeat 50% 50% / 100% 100%;
    border: 2px dashed #000; 
    border-right: none;
    border-left: none;
}
.game-board #cell-4{
    background: radial-gradient(100% 100% at 50% 50%, rgba(243,213,182,0) 45%, #656565 100%) no-repeat 50% 50% / 100% 100%;
    border: 2px dashed #000; 
}
.game-board #cell-5{
    background: radial-gradient(100% 100% at 50% 50%, rgba(243,213,182,0) 45%, #656565 100%) no-repeat 50% 50% / 100% 100%;
    border: 2px dashed #000; 
    border-right: none;
    border-left: none;
}
.game-board #cell-6{ 
    background: radial-gradient(100% 100% at 50% 50%, rgba(243,213,182,0) 45%, #656565 100%) no-repeat 50% 50% / 100% 100%;
}
.game-board #cell-7{
    background: radial-gradient(100% 100% at 50% 50%, rgba(243,213,182,0) 45%, #656565 100%) no-repeat 50% 50% / 100% 100%;
    border: 2px dashed #000; 
    border-bottom: none;
    border-top: none;
}
.game-board #cell-8{ 
    background: radial-gradient(100% 100% at 50% 50%, rgba(243,213,182,0) 45%, #656565 100%) no-repeat 50% 50% / 100% 100%;
}


.end-screen{
    width: 800px;
    text-align: center;
    background: rgb(35,54,159);
    background: -moz-linear-gradient(90deg, rgba(35,54,159,0.3) 0%, rgba(255,255,255,0) 20%, rgba(255,255,255,0) 80%, rgba(189,0,0,0.3) 100%);
    background: -webkit-linear-gradient(90deg, rgba(35,54,159,0.3) 0%, rgba(255,255,255,0) 20%, rgba(255,255,255,0) 80%, rgba(189,0,0,0.3) 100%);
    background: linear-gradient(90deg, rgba(35,54,159,0.3) 0%, rgba(255,255,255,0) 20%, rgba(255,255,255,0) 80%, rgba(189,0,0,0.3) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#23369f",endColorstr="#bd0000",GradientType=1);
}

.end-screen img{
    border: 2px dotted #000;
}

.end-screen-top{
    border-bottom: 3px dashed #000;
    padding-bottom: 20px;
}

.is-winner{
    box-shadow:0px 0px 30px #92cc41;
    border: 4px dotted #92cc41 !important;
}

.end-screen-bottom{
    margin-top: 20px;
}

.end-screen-bottom button{
    margin: auto;
    width: 150px;
}